Name:		spec-helper
Version:	0.31.7
Release:	%mkrel 1
Summary:	Tools to ease the creation of rpm packages
License:	GPLv2+
Group:		Development/Other
URL:		http://svn.mandriva.com/svn/soft/rpm/spec-helper
Source0:	%{name}-%{version}.tar.xz
Requires:	findutils
Requires:	gettext
BuildRequires:	perl(IPC::Run)
BuildRequires:	perl(Digest::MD5)
BuildRequires:	perl(File::Slurp)
BuildRequires:	perl(List::MoreUtils)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Tools to ease the creation of rpm packages for the PCLinuxOS distribution.
Compress man pages using bzip2, strip executables, convert links...

%prep
%setup -q

%install
rm -rf %{buildroot}
%makeinstall_std bindir=%{_bindir} rpmmacrosdir=%_sys_macros_dir 

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README NEWS
%{_bindir}/macroszification
%{_datadir}/spec-helper
%_sys_macros_dir/%{name}.macros


%changelog
* Thu Mar 26 2015 bb <bb> 0.31.7-1pclos2015
- update compress_files

* Sat Jun 04 2011 Texstar <texstar at gmail.com> 0.31.6-2pclos2011
- fix stripping of binaries

* Sat Jun 04 2011 Texstar <texstar at gmail.com> 0.31.6-1pclos2011
- update for 2011
* Tue Nov 09 2010 pcserver <pcserver at hush.com> 0.31.3-1pclos2010
- sync to mdv

* Thu Jan 21 2010 Texstar <texstar at gmail.com> 0.30.6-3pclos2010
- fix dont strip option

* Wed Dec 30 2009 Texstar <texstar at gmail.com> 0.30.6-2pclos2010
- adjust stripfiles and use old version

* Tue Dec 29 2009 Texstar <texstar at gmail.com> 0.30.6-1pclos2010
- sync to mdv

